import request from '@/utils/request'

// 微信登录授权获取code
export function getCodeUrl(userType, url) {
	return request({
		'url': '/wxApi/getCodeUrl?userType=' + userType + '&url=' + url,
		'method': 'get'
	})
}

// 微信登录授权获取code
export function getWebAccessTokenAndOpenid(code) {
	return request({
		'url': '/wxApi/getWebAccessTokenAndOpenid?code=' + code,
		'method': 'get'
	})
}

// 微信登录授权获取code
export function gzhLogin(data) {
	return request({
		'url': '/wxApi/gzhLogin',
		'method': 'POST',
		'data': data
	})
}